Skip to main content

List Snapshots

GET /v1/snapshots

List user's own snapshots plus public system snapshots.

Authentication

Requires authentication via: OAuth2PasswordBearer.

Parameters

NameInTypeRequiredDescriptionConstraints
typequerystring | nullNopattern=^(user|system)$, nullable
X-API-Keyheaderstring | nullNonullable

Responses

200

Successful Response

application/json

Resolved schema:

{
"type": "array",
"items": {
"properties": {
"id": {
"type": "string",
"title": "Id"
},
"name": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Name"
},
"status": {
"type": "string",
"title": "Status"
},
"source_vm_id": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Source Vm Id"
},
"snapshot_type": {
"type": "string",
"title": "Snapshot Type"
},
"type": {
"type": "string",
"title": "Type",
"default": "user"
},
"oci_image": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Oci Image"
},
"vcpu_count": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
],
"title": "Vcpu Count"
},
"memory_mb": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
],
"title": "Memory Mb"
},
"size_bytes": {
"type": "integer",
"title": "Size Bytes",
"default": 0
},
"is_public": {
"type": "boolean",
"title": "Is Public",
"default": false
},
"last_error": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Last Error"
},
"created_at": {
"type": "string",
"title": "Created At"
},
"updated_at": {
"type": "string",
"title": "Updated At"
}
},
"type": "object",
"required": [
"id",
"status",
"snapshot_type",
"created_at",
"updated_at"
],
"title": "SnapshotInfo"
},
"title": "Response List Snapshots V1 Snapshots Get"
}

Field details:

FieldTypeRequiredDescriptionConstraints
[]objectYes
[].idstringYes
[].namestring | nullNonullable
[].statusstringYes
[].source_vm_idstring | nullNonullable
[].snapshot_typestringYes
[].typestringNodefault="user"
[].oci_imagestring | nullNonullable
[].vcpu_countinteger | nullNonullable
[].memory_mbinteger | nullNonullable
[].size_bytesintegerNodefault=0
[].is_publicbooleanNodefault=false
[].last_errorstring | nullNonullable
[].created_atstringYes
[].updated_atstringYes

422

Validation Error

application/json

Resolved schema:

{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}

Field details:

FieldTypeRequiredDescriptionConstraints
detailarray<object>No
detail[]objectNo
detail[].locarray<string | integer>No
detail[].loc[]string | integerNo
detail[].msgstringNo
detail[].typestringNo